%define rhome %_libdir/R
%define oname rpy
Name: python-module-%oname
Version: 1.0.3
Release: alt1.svn20090914
Summary: Python interface to the R Programming Language
License: MPL/GPL/LGPL
Group: Development/Python
Url: http://rpy.sourceforge.net/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# https://rpy.svn.sourceforge.net/svnroot/rpy/trunk
Source: %oname-%version.tar.gz
Source1: http://rpy.sourceforge.net/faithful.py

Requires: R-base

BuildRequires(pre): rpm-build-python
BuildPreReq: python-devel R-devel
%setup_python_module %oname

%description
RPy is a very simple, yet robust, Python interface to the R Programming
Language. It can manage all kinds of R objects and can execute arbitrary
R functions (including the graphic functions). All errors from the R
language are converted to Python exceptions. Any module installed for
the R system can be used from within Python.

This code is inspired by RSPython from the Omegahat project. The main
goals of RPy are:

  * to have a very robust interface for using R from Python

  * the interface should be as transparent and easy to use as possible

  * it should be usable for real scientific and statistical computations

%package doc
Summary: Documentation and examples for RPy
Group: Development/Documentation
BuildArch: noarch

%description doc
RPy is a very simple, yet robust, Python interface to the R Programming
Language. It can manage all kinds of R objects and can execute arbitrary
R functions (including the graphic functions). All errors from the R
language are converted to Python exceptions. Any module installed for
the R system can be used from within Python.

This package contains development documentation and examples for RPy.

%prep
%setup
cp -f %SOURCE1 examples/

%build
export RHOME=%rhome
%python_build

pushd doc
%make_build info html
popd

%install
export RHOME=%_libdir/R
%python_install

install -d %buildroot%_docdir/%oname
install -d %buildroot%_infodir
install -m644 doc/rpy_html/* %buildroot%_docdir/%oname
cp -fR examples %buildroot%_docdir/%oname/
install -m644 doc/*.info %buildroot%_infodir

%files
%doc NEWS README TODO GPL_LICENSE LGPL_LICENSE MPL_LICENSE
%python_sitelibdir/*

%files doc
%_docdir/%oname
%_infodir/*

%changelog
* Mon Sep 21 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.0.3-alt1.svn20090914
- Initial build for Sisyphus

